Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dioscuri.module.ata
Enum ATACommand

    java.lang.Object
      java.lang.Enum<ATACommand>
          dioscuri.module.ata.ATACommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ATACommand>

    public enum ATACommand

extends java.lang.Enum<ATACommand>

An enumeration representing all the ATA commands.

Enum Constant Summary
`CFA_ERASE_SECTORS`
`CFA_TRANSLATE_SECTOR`
`CFA_WRITE_MULTIPLE_WITHOUT_ERASED`
`CFA_WRITE_SECTORS_WITHOUT_ERASE`
`CHECK_MEDIA_CARD_TYPE`
`CHECK_POWER_MODE`
`CHECK_POWER_MODE_2`
`CONFIGURE_STREAM`
`DEVICE_CONFIGURATION_FREEZE_LOCK`
`DEVICE_RESET`
`DOWNLOAD_MICROCODE`
`EXECUTE_DEVICE_DIAGNOSTIC`
`FLUSH_CACHE`
`FLUSH_CACHE_EXT`
`FORMAT_TRACK`
`GET_MEDIA_STATUS`
`IDENTIFY_DRIVE`
`IDLE`
`IDLE_2`
`IDLE_IMMEDIATE`
`IDLE_IMMEDIATE_2`
`INITIALIZE_DEVICE_PARAMETERS`
`MEDIA_EJECT`
`MEDIA_LOCK`
`MEDIA_UNLOCK`
`PACKET_A0`
`PACKET_A1`
`READ_BUFFER_2`
`READ_DMA`
`READ_DMA_EXT`
`READ_DMA_NO_RETRY`
`READ_DMA_QUEUED`
`READ_DMA_QUEUED_EXT`
`READ_LOG_EXT`
`READ_LONG_WITH_RETRY`
`READ_LONG_WITHOUT_RETRY`
`READ_MULTIPLE`
`READ_MULTIPLE_EXT`
`READ_NATIVE_MAX_ADDRESS`
`READ_NATIVE_MAX_ADDRESS_EXT`
`READ_SECTORS_EXT`
`READ_SECTORS_WITH_RETRY`
`READ_SECTORS_WITHOUT_RETRY`
`READ_STREAM_DMA`
`READ_STREAM_PIO`
`READ_VERIFY_SECTOR_WITH_RETRY`
`READ_VERIFY_SECTOR_WITHOUT_RETRY`
`READ_VERIFY_SECTORS_EXT`
`RECALIBRATE`
`SECURITY_DISABLE_PASSWORD`
`SECURITY_ERASE_PREPARE`
`SECURITY_ERASE_UNIT`
`SECURITY_FREEZE_LOCK`
`SECURITY_SET_PASSWORD`
`SECURITY_UNLOCK`
`SEEK` The seek command is 7X.
`SERVICE`
`SET_FEATURES`
`SET_MAX_ADDRESS`
`SET_MAX_ADDRESS_EXT`
`SET_MULTIPLE_MOD`
`SLEEP`
`SLEEP_2`
`SMART_DISABLE_OPERATIONS`
`STANDBY`
`STANDBY_2`
`STANDBY_IMMEDIATE`
`STANDBY_IMMEDIATE_2`
`WRITE_BUFFER`
`WRITE_DMA`
`WRITE_DMA_EXT`
`WRITE_DMA_QUEUED`
`WRITE_DMA_QUEUED_EXT`
`WRITE_LOG_EXT`
`WRITE_LONG_SECTORS_WITH_RETRY`
`WRITE_LONG_SECTORS_WITHOUT_RETRY`
`WRITE_MULTIPLE`
`WRITE_MULTIPLE_EXT`
`WRITE_SECTORS_EXT`
`WRITE_SECTORS_WITH_RETRY`
`WRITE_SECTORS_WITHOUT_RETRY`
`WRITE_STREAM_DMA`
`WRITE_STREAM_PIO`

Method Summary
`int` | `getAddress()` Get the address of the command.
`static ATACommand` | `getCommand(int portAddress)` Get the command corresponding to the address
`java.lang.String` | `getName()` Gets the name of the command.
`java.lang.String` | `toString()` Gets the string name of the command.
`static ATACommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ATACommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ_SECTORS_WITH_RETRY

    public static final ATACommand READ_SECTORS_WITH_RETRY

### READ_SECTORS_WITHOUT_RETRY

    public static final ATACommand READ_SECTORS_WITHOUT_RETRY

### IDENTIFY_DRIVE

    public static final ATACommand IDENTIFY_DRIVE

### WRITE_SECTORS_WITH_RETRY

    public static final ATACommand WRITE_SECTORS_WITH_RETRY

### WRITE_MULTIPLE

    public static final ATACommand WRITE_MULTIPLE

### PACKET_A0

    public static final ATACommand PACKET_A0

### PACKET_A1

    public static final ATACommand PACKET_A1

### DEVICE_RESET

    public static final ATACommand DEVICE_RESET

### RECALIBRATE

    public static final ATACommand RECALIBRATE

### READ_LONG_WITH_RETRY

    public static final ATACommand READ_LONG_WITH_RETRY

### READ_LONG_WITHOUT_RETRY

    public static final ATACommand READ_LONG_WITHOUT_RETRY

### READ_SECTORS_EXT

    public static final ATACommand READ_SECTORS_EXT

### READ_DMA_EXT

    public static final ATACommand READ_DMA_EXT

### READ_DMA_QUEUED_EXT

    public static final ATACommand READ_DMA_QUEUED_EXT

### READ_NATIVE_MAX_ADDRESS_EXT

    public static final ATACommand READ_NATIVE_MAX_ADDRESS_EXT

### READ_MULTIPLE_EXT

    public static final ATACommand READ_MULTIPLE_EXT

### READ_STREAM_DMA

    public static final ATACommand READ_STREAM_DMA

### READ_STREAM_PIO

    public static final ATACommand READ_STREAM_PIO

### READ_LOG_EXT

    public static final ATACommand READ_LOG_EXT

### WRITE_SECTORS_WITHOUT_RETRY

    public static final ATACommand WRITE_SECTORS_WITHOUT_RETRY

### WRITE_LONG_SECTORS_WITH_RETRY

    public static final ATACommand WRITE_LONG_SECTORS_WITH_RETRY

### WRITE_LONG_SECTORS_WITHOUT_RETRY

    public static final ATACommand WRITE_LONG_SECTORS_WITHOUT_RETRY

### WRITE_SECTORS_EXT

    public static final ATACommand WRITE_SECTORS_EXT

### WRITE_DMA_EXT

    public static final ATACommand WRITE_DMA_EXT

### WRITE_DMA_QUEUED_EXT

    public static final ATACommand WRITE_DMA_QUEUED_EXT

### SET_MAX_ADDRESS_EXT

    public static final ATACommand SET_MAX_ADDRESS_EXT

### CFA_WRITE_SECTORS_WITHOUT_ERASE

    public static final ATACommand CFA_WRITE_SECTORS_WITHOUT_ERASE

### WRITE_MULTIPLE_EXT

    public static final ATACommand WRITE_MULTIPLE_EXT

### WRITE_STREAM_DMA

    public static final ATACommand WRITE_STREAM_DMA

### WRITE_STREAM_PIO

    public static final ATACommand WRITE_STREAM_PIO

### WRITE_LOG_EXT

    public static final ATACommand WRITE_LOG_EXT

### READ_VERIFY_SECTOR_WITH_RETRY

    public static final ATACommand READ_VERIFY_SECTOR_WITH_RETRY

### READ_VERIFY_SECTOR_WITHOUT_RETRY

    public static final ATACommand READ_VERIFY_SECTOR_WITHOUT_RETRY

### READ_VERIFY_SECTORS_EXT

    public static final ATACommand READ_VERIFY_SECTORS_EXT

### FORMAT_TRACK

    public static final ATACommand FORMAT_TRACK

### CONFIGURE_STREAM

    public static final ATACommand CONFIGURE_STREAM

### SEEK

    public static final ATACommand SEEK

  The seek command is 7X.

### CFA_TRANSLATE_SECTOR

    public static final ATACommand CFA_TRANSLATE_SECTOR

### EXECUTE_DEVICE_DIAGNOSTIC

    public static final ATACommand EXECUTE_DEVICE_DIAGNOSTIC

### INITIALIZE_DEVICE_PARAMETERS

    public static final ATACommand INITIALIZE_DEVICE_PARAMETERS

### DOWNLOAD_MICROCODE

    public static final ATACommand DOWNLOAD_MICROCODE

### STANDBY_IMMEDIATE

    public static final ATACommand STANDBY_IMMEDIATE

### IDLE_IMMEDIATE

    public static final ATACommand IDLE_IMMEDIATE

### STANDBY

    public static final ATACommand STANDBY

### IDLE

    public static final ATACommand IDLE

### CHECK_POWER_MODE

    public static final ATACommand CHECK_POWER_MODE

### SLEEP

    public static final ATACommand SLEEP

### SERVICE

    public static final ATACommand SERVICE

### SMART_DISABLE_OPERATIONS

    public static final ATACommand SMART_DISABLE_OPERATIONS

### DEVICE_CONFIGURATION_FREEZE_LOCK

    public static final ATACommand DEVICE_CONFIGURATION_FREEZE_LOCK

### CFA_ERASE_SECTORS

    public static final ATACommand CFA_ERASE_SECTORS

### READ_MULTIPLE

    public static final ATACommand READ_MULTIPLE

### SET_MULTIPLE_MOD

    public static final ATACommand SET_MULTIPLE_MOD

### READ_DMA_QUEUED

    public static final ATACommand READ_DMA_QUEUED

### READ_DMA

    public static final ATACommand READ_DMA

### READ_DMA_NO_RETRY

    public static final ATACommand READ_DMA_NO_RETRY

### WRITE_DMA

    public static final ATACommand WRITE_DMA

### WRITE_DMA_QUEUED

    public static final ATACommand WRITE_DMA_QUEUED

### CFA_WRITE_MULTIPLE_WITHOUT_ERASED

    public static final ATACommand CFA_WRITE_MULTIPLE_WITHOUT_ERASED

### CHECK_MEDIA_CARD_TYPE

    public static final ATACommand CHECK_MEDIA_CARD_TYPE

### GET_MEDIA_STATUS

    public static final ATACommand GET_MEDIA_STATUS

### MEDIA_LOCK

    public static final ATACommand MEDIA_LOCK

### MEDIA_UNLOCK

    public static final ATACommand MEDIA_UNLOCK

### STANDBY_IMMEDIATE_2

    public static final ATACommand STANDBY_IMMEDIATE_2

### IDLE_IMMEDIATE_2

    public static final ATACommand IDLE_IMMEDIATE_2

### STANDBY_2

    public static final ATACommand STANDBY_2

### IDLE_2

    public static final ATACommand IDLE_2

### READ_BUFFER_2

    public static final ATACommand READ_BUFFER_2

### CHECK_POWER_MODE_2

    public static final ATACommand CHECK_POWER_MODE_2

### SLEEP_2

    public static final ATACommand SLEEP_2

### FLUSH_CACHE

    public static final ATACommand FLUSH_CACHE

### WRITE_BUFFER

    public static final ATACommand WRITE_BUFFER

### FLUSH_CACHE_EXT

    public static final ATACommand FLUSH_CACHE_EXT

### MEDIA_EJECT

    public static final ATACommand MEDIA_EJECT

### SET_FEATURES

    public static final ATACommand SET_FEATURES

### SECURITY_SET_PASSWORD

    public static final ATACommand SECURITY_SET_PASSWORD

### SECURITY_UNLOCK

    public static final ATACommand SECURITY_UNLOCK

### SECURITY_ERASE_PREPARE

    public static final ATACommand SECURITY_ERASE_PREPARE

### SECURITY_ERASE_UNIT

    public static final ATACommand SECURITY_ERASE_UNIT

### SECURITY_FREEZE_LOCK

    public static final ATACommand SECURITY_FREEZE_LOCK

### SECURITY_DISABLE_PASSWORD

    public static final ATACommand SECURITY_DISABLE_PASSWORD

### READ_NATIVE_MAX_ADDRESS

    public static final ATACommand READ_NATIVE_MAX_ADDRESS

### SET_MAX_ADDRESS

    public static final ATACommand SET_MAX_ADDRESS

Method Detail

### values

    public static ATACommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ATACommand c : ATACommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ATACommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCommand

    public static ATACommand getCommand(int portAddress)

  Get the command corresponding to the address

  Parameters:
    `portAddress` - the port address
  Returns:
    the command corresponding to the address

### toString

    public java.lang.String toString()

  Gets the string name of the command.

  Overrides:
    `toString` in class `java.lang.Enum<ATACommand>`
  Returns:
    the string name of the command

### getName

    public java.lang.String getName()

  Gets the name of the command.

  Returns:
    the name of the command

### getAddress

    public int getAddress()

  Get the address of the command.

  Returns:
    the address

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD